<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/moderate/class/view/adminunmoderatedcommentsview.class.php" );

	/**
	 * actions that displays the list of unmoderated comments in the blog.
	 */
	class AdminUnmoderatedCommentsAction extends AdminAction
	{
	
		function AdminUnmoderatedCommentsAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
			
			$this->requirePermission( "manage_plugins");			
		}
		
		function perform()
		{
			$this->_view = new AdminUnmoderatedCommentsview( $this->_blogInfo );

			$this->setCommonData();
			
			return true;
		}
	}
?>